<header>
  <div class="container">
    <h1>Logo</h1>
    <div *ngIf="!userName">
      <button [routerLink]="['/home', { outlets: { auth: 'register' }}]" id="register">Inscription</button>
      <button [routerLink]="['/home', { outlets: { auth: 'login' }}]" id="login">Connexion</button>
    </div>
    <div *ngIf="userName" (click)="logout()">
      {{userName}}
    </div>
  </div>
</header>
